> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all TeXML Applications

> Returns a list of your TeXML Applications.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/applications.yml get /texml_applications
openapi: 3.1.0
info:
  title: Telnyx TeXML Applications API
  version: 2.0.0
  description: API for managing TeXML Applications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /texml_applications:
    get:
      tags:
        - TeXML Applications
      summary: List all TeXML Applications
      description: Returns a list of your TeXML Applications.
      operationId: FindTexmlApplications
      parameters:
        - $ref: '#/components/parameters/call-scripting_PageConsolidated'
        - $ref: '#/components/parameters/call-scripting_FilterConsolidated'
        - $ref: '#/components/parameters/SortApplication'
      responses:
        '200':
          $ref: '#/components/responses/GetAllTexmlApplicationsResponse'
        '400':
          $ref: '#/components/responses/call-scripting_BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthenticatedResponse'
        '403':
          $ref: '#/components/responses/call-scripting_UnauthorizedResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const texmlApplication of
            client.texmlApplications.list()) {
              console.log(texmlApplication.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.texml_applications.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.TexmlApplications.List(context.TODO(), telnyx.TexmlApplicationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texmlapplications.TexmlApplicationListPage;

            import
            com.telnyx.sdk.models.texmlapplications.TexmlApplicationListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    TexmlApplicationListPage page = client.texmlApplications().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.texml_applications.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->texmlApplications->list(
                filter: [
                  'friendlyName' => 'friendly_name',
                  'outboundVoiceProfileID' => '1293384261075731499',
                ],
                pageNumber: 0,
                pageSize: 0,
                sort: 'friendly_name',
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx texml-applications list \
              --api-key 'My API Key'
components:
  parameters:
    call-scripting_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 250
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
    call-scripting_FilterConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated filter parameter (deepObject style). Originally:
        filter[outbound_voice_profile_id], filter[friendly_name]
      schema:
        type: object
        properties:
          outbound_voice_profile_id:
            type: string
            example: '1293384261075731499'
            description: Identifies the associated outbound voice profile.
          friendly_name:
            type: string
            default: 'null'
            description: >-
              If present, applications with <code>friendly_name</code>
              containing the given value will be returned. Matching is not
              case-sensitive. Requires at least three characters.
    SortApplication:
      name: sort
      in: query
      description: >-
        Specifies the sort order for results. By default sorting direction is
        ascending. To have the results sorted in descending order add the <code>
        -</code> prefix.<br/><br/>

        That is: <ul>
          <li>
            <code>friendly_name</code>: sorts the result by the
            <code>friendly_name</code> field in ascending order.
          </li>

          <li>
            <code>-friendly_name</code>: sorts the result by the
            <code>friendly_name</code> field in descending order.
          </li>
        </ul> <br/> If not given, results are sorted by <code>created_at</code>
        in descending order.
      schema:
        type: string
        enum:
          - created_at
          - friendly_name
          - active
        example: friendly_name
        default: created_at
  responses:
    GetAllTexmlApplicationsResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: Get All Texml Applications Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/TexmlApplication'
              meta:
                $ref: '#/components/schemas/call-scripting_PaginationMeta'
    call-scripting_BadRequestResponse:
      description: >-
        Bad request. The request could not be understood or was missing required
        parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            conference_ended:
              summary: Conference already ended
              value:
                errors:
                  - code: '90019'
                    title: Conference has already ended
                    detail: >-
                      This conference is no longer active and can't receive
                      commands.
            participant_on_hold:
              summary: Participant on hold
              value:
                errors:
                  - code: '90047'
                    title: Participant on hold
                    detail: This participant is on hold
    UnauthenticatedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    call-scripting_UnauthorizedResponse:
      description: >-
        The user doesn't have the required permissions to perform the requested
        action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            notAuthorized:
              value:
                errors:
                  - code: '10010'
                    title: Not authorized
                    detail: You are not authorized to access the requested resource.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10010
                    source:
                      pointer: /
  schemas:
    TexmlApplication:
      type: object
      title: Texml Application
      properties:
        id:
          $ref: '#/components/schemas/IntId'
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: texml_application
        friendly_name:
          $ref: '#/components/schemas/ApplicationName'
        active:
          $ref: '#/components/schemas/ConnectionActive'
        anchorsite_override:
          $ref: '#/components/schemas/AnchorsiteOverride'
        dtmf_type:
          $ref: '#/components/schemas/DtmfType'
        first_command_timeout:
          $ref: '#/components/schemas/FirstCommandTimeout'
        first_command_timeout_secs:
          $ref: '#/components/schemas/FirstCommandTimeoutSecs'
        voice_url:
          type: string
          description: URL to which Telnyx will deliver your XML Translator webhooks.
          format: uri
          example: https://example.com
        voice_fallback_url:
          type: string
          description: >-
            URL to which Telnyx will deliver your XML Translator webhooks if we
            get an error response from your voice_url.
          default: null
          format: uri
          example: https://fallback.example.com
        call_cost_in_webhooks:
          type: boolean
          description: >-
            Specifies if call cost webhooks should be sent for this TeXML
            Application.
          default: false
        voice_method:
          type: string
          description: >-
            HTTP request method Telnyx will use to interact with your XML
            Translator webhooks. Either 'get' or 'post'.
          enum:
            - get
            - post
          default: post
          example: get
        status_callback:
          type: string
          description: >-
            URL for Telnyx to send requests to containing information about call
            progress events.
          default: null
          format: uri
          example: https://example.com
        status_callback_method:
          type: string
          description: >-
            HTTP request method Telnyx should use when requesting the
            status_callback URL.
          enum:
            - get
            - post
          default: post
          example: get
        tags:
          type: array
          items:
            type: string
          description: Tags associated with the Texml Application.
          example:
            - tag1
            - tag2
        inbound:
          type: object
          properties:
            channel_limit:
              type: integer
              description: >-
                When set, this will limit the total number of inbound calls to
                phone numbers associated with this connection.
              default: null
              example: 10
            shaken_stir_enabled:
              type: boolean
              description: >-
                When enabled Telnyx will include Shaken/Stir data in the Webhook
                for new inbound calls.
              default: false
              example: false
            sip_subdomain:
              type: string
              description: >-
                Specifies a subdomain that can be used to receive Inbound calls
                to a Connection, in the same way a phone number is used, from a
                SIP endpoint. Example: the subdomain "example.sip.telnyx.com"
                can be called from any SIP endpoint by using the SIP URI
                "sip:@example.sip.telnyx.com" where the user part can be any
                alphanumeric value. Please note TLS encrypted calls are not
                allowed for subdomain calls.
              default: null
              example: example
            sip_subdomain_receive_settings:
              type: string
              description: >-
                This option can be enabled to receive calls from: "Anyone" (any
                SIP endpoint in the public Internet) or "Only my connections"
                (any connection assigned to the same Telnyx user).
              enum:
                - only_my_connections
                - from_anyone
              default: from_anyone
              example: only_my_connections
        outbound:
          type: object
          properties:
            channel_limit:
              type: integer
              description: >-
                When set, this will limit the total number of outbound calls to
                phone numbers associated with this connection.
              default: null
              example: 10
            outbound_voice_profile_id:
              $ref: '#/components/schemas/OutboundVoiceProfileId'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
      example:
        id: '1293384261075731499'
        record_type: texml_application
        active: false
        friendly_name: call-router
        anchorsite_override: Amsterdam, Netherlands
        dtmf_type: Inband
        first_command_timeout: true
        first_command_timeout_secs: 10
        voice_url: https://example.com
        voice_fallback_url: https://fallback.example.com
        call_cost_in_webhooks: false
        voice_method: get
        status_callback: https://example.com
        status_callback_method: get
        tags:
          - tag1
          - tag2
        inbound:
          channel_limit: 10
          shaken_stir_enabled: true
          sip_subdomain: example
          sip_subdomain_receive_settings: only_my_connections
        outbound:
          channel_limit: 10
          outbound_voice_profile_id: '1293384261075731499'
        created_at: '2020-02-02T22:25:27.521Z'
        updated_at: '2020-02-03T22:25:27.521Z'
    call-scripting_PaginationMeta:
      title: Pagination Meta
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              detail:
                type: string
              meta:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
              title:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
    IntId:
      title: Int ID
      type: string
      description: Uniquely identifies the resource.
      example: '1293384261075731499'
    ApplicationName:
      title: Application Name
      type: string
      description: A user-assigned name to help manage the application.
      example: call-router
    ConnectionActive:
      title: Connection Active
      type: boolean
      description: Specifies whether the connection can be used.
      default: true
      example: false
    AnchorsiteOverride:
      title: Anchorsite Override
      type: string
      description: >-
        `Latency` directs Telnyx to route media through the site with the lowest
        round-trip time to the user's connection. Telnyx calculates this time
        using ICMP ping messages. This can be disabled by specifying a site to
        handle all media.
      enum:
        - Latency
        - Chicago, IL
        - Ashburn, VA
        - San Jose, CA
        - Sydney, Australia
        - Amsterdam, Netherlands
        - London, UK
        - Toronto, Canada
        - Vancouver, Canada
        - Frankfurt, Germany
      default: Latency
      example: Amsterdam, Netherlands
    DtmfType:
      title: DTMF Type
      type: string
      description: >-
        Sets the type of DTMF digits sent from Telnyx to this Connection. Note
        that DTMF digits sent to Telnyx will be accepted in all formats.
      enum:
        - RFC 2833
        - Inband
        - SIP INFO
      default: RFC 2833
      example: Inband
    FirstCommandTimeout:
      title: First Command Timeout
      type: boolean
      description: >-
        Specifies whether calls to phone numbers associated with this connection
        should hangup after timing out.
      default: false
      example: true
    FirstCommandTimeoutSecs:
      title: First Command Timeout Secs
      type: integer
      description: Specifies how many seconds to wait before timing out a dial command.
      default: 30
      example: 10
    OutboundVoiceProfileId:
      title: Outbound Voice Profile ID
      type: string
      description: Identifies the associated outbound voice profile.
      example: '1293384261075731499'
    CreatedAt:
      title: Created At
      type: string
      description: ISO 8601 formatted date indicating when the resource was created.
      example: '2020-02-02T22:25:27.521Z'
    UpdatedAt:
      title: Updated At
      type: string
      description: ISO 8601 formatted date indicating when the resource was updated.
      example: '2020-02-03T22:25:27.521Z'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````